curl --request GET \
--url https://api.realtimelca.com/rest/api/Mapping/special-conditions/type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.realtimelca.com/rest/api/Mapping/special-conditions/type"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.realtimelca.com/rest/api/Mapping/special-conditions/type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
By Type Identifier
Retrieves special condition mappings filtered by a specific type identifier. This endpoint returns a list of special conditions associated with a given building project, area of construction, and LCA model, narrowed down by a particular special condition type and type identifier.
Base URL: {{lcabaseUrl}}
Authentication: Bearer token — set the BearerToken variable in the active environment.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Not required for all special condition types or will attempt use existing mapping if not specified
Not required for all special condition types or will attempt use existing mapping if not specified
Optional, will attempt to use existing mapping if not specified
Body
The body is of type object.
Response
Response schema not yet documented in the upstream Postman spec.

